> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Switch to a different team



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/team/switch
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/team/switch:
    post:
      tags:
        - Team
      summary: Switch to a different team
      operationId: TeamController_switchTeam
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SwitchTeamDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JWTResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '401':
          description: ''
      security:
        - bearer: []
        - bearer: []
components:
  schemas:
    SwitchTeamDto:
      type: object
      properties:
        teamId:
          type: string
          description: Team ID to switch to
      required:
        - teamId
    JWTResponse:
      type: object
      properties:
        accessToken:
          type: string
          description: JWT access token for authenticated requests
      required:
        - accessToken
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````